Subject: IETF meeting scaling: early schedules?

From: John Stracke <[email-masked]>
Date: Mon, 19 Jul 1999 14:43:32 -0400

It occurred to me that IETF meetings might scale better if we
knew the meeting schedules further in advance.  I generally have
to plan to attend for the whole week, because the only
alternative is to wait until the meeting schedule is finalized,
by which time the hotels will be full and the airfares will be
outrageous.  As a result, I usually wind up sitting in on other
WGs just for my own edification.  If I could be sure that the WGs
I need to attend will be meeting on such-and-such days, I might
be able to attend for just those days.  If enough people could do
this, it might pull down total attendance on any given day.

Of course, it might not make a big enough difference to be worth
the work.  Just a thought.

--
/=============================================================\
|John Stracke    | My opinions are my own | S/MIME & HTML OK  |
[email-masked]|============================================|
|Chief Scientist | NT's lack of reliability is only surpassed |
|eCal Corp.      |  by its lack of scalability. -- John Kirch |
\=============================================================/

---

From: Allison Mankin <[email-masked]>
Date: Tue, 20 Jul 1999 12:40:03 EDT

A different hybrid suggestion from Dave's is practiced
by a number of working groups - holding full-day
or longer interim meetings in addition to the normal meetings
during IETF that get the benefit of the IETF "melting pot."

---

From: "Spencer Dawkins" <[email-masked]>
Date: Tue, 20 Jul 1999 14:15:46 -0500

This isn't intended as a commercial, but someone mentioned during the PILC
session in Oslo that not everyone who is working in the PILC space is aware
of the PILC workgroup (that was meeting for the first time), so - 

Lloyd's very reasonable list of "oops" workgroups (IPSec/NAT/MobileIP) might
also include PILC, where we worry about operating internet protocols over
"challenged" links (slow, asymmetric, lots of errors, long delays).

FYI, this is also on of the places W3C has been for the last year - going
back and retrofitting their standards-track recommendations with guidelines
to accomodate mobile users, users with disabilities, users with voice
browsers, etc.

I would also say that it's pretty easy for stuff to pop up that breaks your
stuff - I'm thinking about NATs breaking MobileIP as my example. So I'm
thinking that anything that makes you more aware of the people who are
playing with the Internet as you know it is OK.

It's nice to have the first two rows for non-spectators, though (and it will
be even nicer if we can get through the scrum at the back of the room TO the
front rows!)

Spencer

> -----Original Message-----
> From:	Lloyd Wood [SMTP:[email-masked]]
> Sent:	Tuesday, July 20, 1999 12:16 PM
> To:	Dave Crocker
> Cc:	Brian E Carpenter; John Stracke; [email-masked]
> Subject:	Re: IETF meeting scaling: early schedules?
> 
> On Tue, 20 Jul 1999, Dave Crocker wrote:
> 
> > At 07:00 AM 7/20/99 , Brian E Carpenter wrote:
> > >2. Cross-fertilization is a Good Thing. We actually *want* people
> > >to attend WGs that they are not involved in;  
> 
> > Hybrid suggestion:
> > 
> > Occasionally, there are working groups that are quite specialized and 
> > attract participants who, really and truly and legitimately, are only 
> > interested in that one topic.
> 
> And that one topic doesn't have any interactions with e.g.
> IPSec/NAT/Mobile IP, so awareness of impact on/from these areas and
> attendance in these WGs isn't considered at all useful?
> 
> IMO, the participants in such a group should be interested in how
> their favourite monomaniac topic interacts with the rest of the
> protocol universe, present and future. I find it hard to legitimately
> justify not being interested in interactions and other ongoing work
> because you think it won't affect your WG's output in any way; do you
> have counterexamples from existing WGs?
> 
> 
> > For such groups, perhaps their chair could request and get early meeting
> 
> > assignment?
> > 
> > (This leaves the "isolationist" decision up to the working group.)
> 
> This raises an obvious question: if you're going to be isolationist,
> why be at the IETF WGs at all? I'm thinking W3C, WAP, ISO CLNP, ATM
> Forum...
> 
> L.
> 
> Oh yeah, you want an IETF WG because you want Officially
> Rubberstamped Approved RFC Standards. Sorry, I forgot.
> 
> <[email-masked]>PGP<http://www.ee.surrey.ac.uk/Personal/L.Wood/>
> 
> 
> 
> -
> This message was passed through [email-masked], which
> is a sublist of [email-masked]. Not all messages are passed.
> Decisions on what to pass are made solely by Harald Alvestrand.

---

From: "Spencer Dawkins" <[email-masked]>
Date: Tue, 20 Jul 1999 14:15:46 -0500

Spencer

---

From: [email-masked]
Date: Tue, 20 Jul 99 16:33:28 EDT

Keith,

While interim meetings can be abused, many haven't been.
Certainly people should remember the rules you cited.

Allison

---

From: [email-masked]
Date: Tue, 20 Jul 99 16:33:28 EDT

Keith,

Allison

---

From: Doug Royer <[email-masked]>
Date: Fri, 23 Jul 1999 16:05:12 -0700 (PDT)

> From: Keith Moore <[email-masked]>
> To: [email-masked]
> 
> Occasional interim meetings can indeed be quite useful and they are 
> fine as long as most of the work gets done on the mailing list.  
> But I've seen far too many groups that try to do most of their 
> work in interim meetings, ...

Up to this point I was not going to say anything.

The CALSCH WG has been accused of that. However its fairly
rare for someone to post any solution and for a problem and
not show up for the interim meetings.

There is still much work to do in CALSCH and no interim meeting
would slow it down. 

There are very little comments (compared to the amount of work done)
sent to the WG list after a draft is submitted.

> ...and for which the IETF meetings are 
> seen only as a nuisance or a place to announce/present/summarize 
> work done elsewhere.  This is an abuse of the IETF process. 

I have not heard of anyone in CALSCH call an IETF a nuisance
or only a place to announce/present/summarize work.

> The output of such groups tends to be very suspect - not only because 
> of its lack of quality but also because there is no good way to know 
> whether it really represents community consensus.

Drafts are posted and comments are made. Almost all input is
talked about. Mostly when WG list input is not talked its because
there is no proposal - just a complaint (in the WG's that I watch
or participate in).

Many of the full IETF comments are not submitted on the WG list.
So, can't the same be said about a full IETF meeting - that is
not everyone could attend, yet some decisions were made.

I do strongly agree that interim meeting notes must be posted.
However one of the reasons for an interim meeting is to make
progress on complicated issues and that does mean that decisions
are made as to what to put into a draft. It does not mean
that the draft can not change.

> Also, most groups holding interim meetings tend to forget that
> such meetings have the same requirements as for meetings held
> at IETF conferences: the requirement to get advance approval from
> the appropriate AD, the requirement for public announcement
> (not just on the WG mailing list), and the requirement for timely
> reporting of minutes.

Vendors do talk to each other. That's a fact of life. So (in my
opinion) its best to do that inside of the IETF. And I see
interim meetings as a way to move a standard along faster.

I don't think that you were talking about the CALSCH WG. However
I feel strongly about interim meetings and if you could attend one
of the CALSCH meetings you would see that in the area of CALSCH that
most of the time is spend just agreeing on what newly defined words mean.
Once we agree on a definition, there is often consensus.

-Doug
-------------------------------------------------------------------
[email-masked]		http://playground.sun.com/~dougr
Pager:				[email-masked]
801 W. El Camino #131		Work:   (650)786-7599
Mountain View, CA 94040		Ham Radio: N6AAW, Aviation: PP-ASEL

---

From: Doug Royer <[email-masked]>
Date: Mon, 26 Jul 1999 09:25:40 -0700 (PDT)

> Date: Sat, 24 Jul 1999 12:21:01 +0100 (BST)
> From: Lloyd Wood <[email-masked]>
> 
> On Fri, 23 Jul 1999, Doug Royer wrote:
> 
> To be fair, if a calendar and scheduling workgroup couldn't schedule
> its own meetings successfully, it would obviously be beyond all hope.

:-)

> If it was e.g. DRUMS, audio/video transport or a multicast workgroup
> where interim non-IETF meetings were thought essential to the process,
> this would have to be viewed in an entirely different light...
> 
> use the tools you standardize - MIBs may be an exception here.

None exist yet in calendaring that interoperate at the scheduling
level - that's why we have the CALSCH WG.  Several vendors are
producing products that are just starting to interoperate at the
calendaring level - I am not aware of two venders that can
interoperate at the scheduling level.

> So once there is consensus on a definition, there is consensus?
> And that's what you spend your interim meetings doing? Amazing...

Most of the time. You would be surpassed what the word 'schedule'
means in various products. How about 'booked' or 'user'.

> L.
> 
> thought meetings were for debate, actually. This is all very NewSpeak.

Yes - we debate.

-Doug

---

From: Doug Royer <[email-masked]>
Date: Mon, 26 Jul 1999 09:25:40 -0700 (PDT)

:-)

Yes - we debate.

-Doug

---

From: Doug Royer <[email-masked]>
Date: Mon, 26 Jul 1999 10:08:45 -0700 (PDT)

> Date: Sat, 24 Jul 1999 10:36:49 -0400
> 
> The problem is that interim meetings inevitably exclude a valuable
> set of participants - including those who are not in North 
> those who are involved with large numbers of working groups and
> have valuable experience in protocol design, and those who think
> of the impact of this work in terms far longer than product release 
> cycles.

I can see that this can be a problem. In the 1st stages of a draft
(and we are at draft-00), you just have to write the proposal
and send it to the WG. That seems to be the way to get others
to notice and participate.

I have no problem having a meeting in *any* country. The last
few of our interim meetings we had at least one local participant
that did not participate in the WG-list, but wanted to attend
a face to face meeting and they could not justify travel
to a full IETF meeting.

> Occasionally interim meetings are a good idea, but it is my experience
> that when they become "business as usual" the quality of the group's 
> work tends to suffer for lack of broader input.

I think after the first one or two revisions of the draft are out I
would agree.  My observation of the WG's is that some small set of
people get together and write something.  Then send it to the WG.  I
don't see discussion of those drafts on any WG lists prior to -00
being published.  This leads me to the conclusion that there are
unannounced meeting (phone, video, or face to face) prior to the
release of of -00 drafts between the editors.

I think that formal announcements to the WG list for interim meetings
is an improvement.

> This might be a sign that all is well.  It can also be a danger sign.
> It can mean that the folks who weren't at the interim meeting feel
> excluded to the point that they aren't willing to participate.

It can mean that. However in this world you have to speak up.
I faced the same fears when I went from lurking on the WG to
participation. You have to speak up - thing are going to happen.

> One important question is:  do the people at the interim meeting feel 
> that they're dictating the outcome of the group's work, or that they're 
> trying to put together a proposal that will help build consensus?

1) Most definitely trying to build consensus.
2) Produce a draft.

> Another is: do the people who weren't able to attend the interim meeting
> feel like their ideas and concerns are being given adequate consideration?

Do they attend the full IETF meetings?  If not then they have to voice
their opinion on the WG list anyway. I just see that without interim
meetings its going to take MUCH longer to get a draft where they
can oppose, propose, or support the ideas.

> Questions like these are difficult to answer.  Unfortunately, by the
> time it is obvious that a working group has gone off into the weeds
> because control of the output is in the hands of too few people, there's
> very little that anyone can do to fix things.
> 
> Yes, but having lots of interim meetings increases the probability 
> that the result won't be worthy of standardization.  If a specification 
> is debated mostly by email, people have to read and attempt to understand 
> the spec *without benefit of someone to explain it in person*.  This
> encourages the author/editor to write very clear prose so that list
> members can understand it.  Over the life of a protocol standard, most
> of the people who are implementing the specification will not have been
> working group participants and will not have had the benefit of 
> participation in face to face meetings with the protocol designers.
> The specification must stand on its own.    A protocol specification 
> written by one or two individuals, with the implicit requirement that it 
> be understandable by working group members with little more contact than
> a mailing list, is a lot more likely to be clear and concise than one 
> which was developed by a committee at a large number of face to face
> meetings.

I agree with you. One of the most frustrating parts of the WG list
is trying to get people to send their opinions. Often, an idea
in a draft they do not like is the way to extract ideas from them.

> ..., but I cannot think of a single 
> group in the applications are which has held frequent interim meetings, 
> whose output has not been called into question by those who felt 
> excluded, and/or of dubious quality.  Such situations create a 
> severe burden for the ADs, because by the time the complaint is made
> or by the time a poorly written specification is deemed 'finished' 
> by the group, it's very difficult to do anything to improve the situation.

I would suggest that they complain to the WG list so that we can see
the problem.  I suggest that (at least in my experience), the best way
to solve the issues is to open up the problem.  When someone goes to
an AD the first thing I would think you might be asking is "did you
take this to the WG?".  If the answer is NO, then send them to the WG.
If its YES, then I would think that asking the chair "What was the
consensus?",  should solve the problem.

I most definitely have had my input to drafts alter the draft
when I did not attend *any* meeting for that WG.

Every WG that I read has the same problem when a draft comes out.
Even if they have never had an interim meeting.

> But I do want to encourage WG chairs to make sure that participation
> in their groups is completely open to all would-be participants
> (not just to "vendors"), that meetings aren't held so often that they 
> shut out those who cannot attend, and that the major discussions are 
> held on the list rather than at face to face meetings.   Particularly
> in the applications area, the ADs cannot supervise everything closely, 
> so the IETF necessarily places a great deal of trust in its WG chairs.
> The chair has the primary responsibility for keeping things open.

I (working for a vendor) agree. I can say we do not want a
product that users and administrators do not like.
It does not sell :-)

-Doug

---

From: Doug Royer <[email-masked]>
Date: Mon, 26 Jul 1999 12:22:32 -0700 (PDT)

> Date: Mon, 26 Jul 1999 11:28:24 -0700
> From: "John  W. Noerenberg" <[email-masked]>
> 
> At 10:08 AM -0700 7/26/99, Doug Royer wrote:
> >
> Now that's interesting.  Why is travel to an interim meeting less 
> costly than to "a full IETF meeting"?  (I realize you're speaking on 
> someone else's behalf, Doug.)

I said that badly.  They did not travel.  They were local to our
meeting location.

-Doug

---

From: Doug Royer <[email-masked]>
Date: Mon, 26 Jul 1999 12:22:32 -0700 (PDT)

-Doug

---

From: Jeffrey Altman <[email-masked]>
Date: Mon, 26 Jul 99 16:01:38 EDT

> someone else's behalf, Doug.)

An interim meeting is typically a single day which is dedicated to
that topic.  A full IETF meeting has a registration fee and because of
the inability to know the schedule in advance requires the booking of
multiple days and nights in one's schedule.

    Jeffrey Altman * Sr.Software Designer * Kermit-95 for Win32 and OS/2
                 The Kermit Project * Columbia University
              612 West 115th St #716 * New York, NY * 10025
  http://www.kermit-project.org/k95.html * [email-masked]

---

From: Jeffrey Altman <[email-masked]>
Date: Mon, 26 Jul 99 16:01:38 EDT